#ifndef INC_GTSYMBOL_H
#define INC_GTSYMBOL_H

#include "gtwidget.h"

/************************************************************************\
*
* GtSymbol class header.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/

/* System symbol types */
#define GTST_NONE				0
#define GTST_TOGGLE			1
#define GTST_RADIO			2
#define GTST_SARROW			3
#define GTST_CARROW			4
#define GTST_CYCLE			5

#define GTST_LAST_NR		5

class GtSymbol : public GtWidget
{
public:
		/* Standard */
	GtSymbol(void);
	sbool Init(char *n,GtManager *p,GtTag *tgs);
	sbool Set(GtTag *tgs);
	void Get(GtTag *tgs);
	char *GetClass(void) { return("GtSymbol"); }
	sbool IsSubClassOf(char *cn);
		/* Values */
	void SetEMask(ulong em);
protected:
		/* Internal methods */
	sbool Draw(XEvent *xe);
protected:
		/* Instance variables */
	ubyte bdrw;
	ubyte stype,val;
};

extern GtSymbol *GtMkSymbol(char *n,GtManager *p,GtTag *tgs);
extern GtSymbol *GtMkSymbol(char *n,GtManager *p,ulong tag,...);

#endif /* INC_GTSYMBOL_H */
